org.apache.hadoop.hdfs.server.namenode

## Enum FsImageProto.SnapshotDiffSection.DiffEntry.Type

- java.lang.Object
- - java.lang.Enum<FsImageProto.SnapshotDiffSection.DiffEntry.Type>
  - - org.apache.hadoop.hdfs.server.namenode.FsImageProto.SnapshotDiffSection.DiffEntry.Type

- All Implemented Interfaces:
    com.google.protobuf.Internal.EnumLite, com.google.protobuf.ProtocolMessageEnum, Serializable, Comparable<FsImageProto.SnapshotDiffSection.DiffEntry.Type>
  Enclosing class:
    FsImageProto.SnapshotDiffSection.DiffEntry

      public static enum FsImageProto.SnapshotDiffSection.DiffEntry.Type
      extends Enum<FsImageProto.SnapshotDiffSection.DiffEntry.Type>
      implements com.google.protobuf.ProtocolMessageEnum

  Protobuf enum `hadoop.hdfs.fsimage.SnapshotDiffSection.DiffEntry.Type`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DIRECTORYDIFF` `DIRECTORYDIFF = 2;`
    `FILEDIFF` `FILEDIFF = 1;`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DIRECTORYDIFF_VALUE` `DIRECTORYDIFF = 2;`
    `static int` | `FILEDIFF_VALUE` `FILEDIFF = 1;`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptorForType()`
    `int` | `getNumber()`
    `com.google.protobuf.Descriptors.EnumValueDescriptor` | `getValueDescriptor()`
    `static com.google.protobuf.Internal.EnumLiteMap<FsImageProto.SnapshotDiffSection.DiffEntry.Type>` | `internalGetValueMap()`
    `static FsImageProto.SnapshotDiffSection.DiffEntry.Type` | `valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
    `static FsImageProto.SnapshotDiffSection.DiffEntry.Type` | `valueOf(int value)`
    `static FsImageProto.SnapshotDiffSection.DiffEntry.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FsImageProto.SnapshotDiffSection.DiffEntry.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FILEDIFF

          public static final FsImageProto.SnapshotDiffSection.DiffEntry.Type FILEDIFF

      `FILEDIFF = 1;`

    - #### DIRECTORYDIFF

          public static final FsImageProto.SnapshotDiffSection.DiffEntry.Type DIRECTORYDIFF

      `DIRECTORYDIFF = 2;`

  - ### Field Detail

    - #### FILEDIFF_VALUE

          public static final int FILEDIFF_VALUE

      `FILEDIFF = 1;`
      See Also:
        Constant Field Values

    - #### DIRECTORYDIFF_VALUE

          public static final int DIRECTORYDIFF_VALUE

      `DIRECTORYDIFF = 2;`
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static FsImageProto.SnapshotDiffSection.DiffEntry.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FsImageProto.SnapshotDiffSection.DiffEntry.Type c : FsImageProto.SnapshotDiffSection.DiffEntry.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FsImageProto.SnapshotDiffSection.DiffEntry.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getNumber

          public final int getNumber()

      Specified by:
        `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
      Specified by:
        `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### valueOf

          public static FsImageProto.SnapshotDiffSection.DiffEntry.Type valueOf(int value)

    - #### internalGetValueMap

          public static com.google.protobuf.Internal.EnumLiteMap<FsImageProto.SnapshotDiffSection.DiffEntry.Type> internalGetValueMap()

    - #### getValueDescriptor

          public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

      Specified by:
        `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### getDescriptorForType

          public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

    - #### valueOf

          public static FsImageProto.SnapshotDiffSection.DiffEntry.Type valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.